×
OpenWeatherMap API: еще один погодный информер на Ruby on Rails (28 июнь 2017)

Возможно, любители и знатоки Joomla заинтересуются иным MVC-фреймворком, имя которому - Ruby on Rails?

Вопрос RHEL/Centos: PHP 7.1 из Remi repo и phpMyAdmin

Больше
5 мес. 2 нед. назад - 5 мес. 2 нед. назад #1 от grease monkey
grease monkey создал эту тему: Nginx | php-fpm и joomla
Получаю отлуп:

"PHP message: PHP Warning:  session_start(): open(/var/lib/php/session/sess_mfdkjfq84naukw4uj, O_RDWR) failed: No such file or directory (2) in /var/www/libraries/joomla/session/session.php on line 651
PHP message: PHP Fatal error:  Cannot use Joomla\String\String as String because 'String' is a special class name in /var/www/libraries/vendor/joomla/registry/src/Format/Json.php on line 12


все облазил.... :woohoo:
Последнее редактирование: 5 мес. 2 нед. назад от grease monkey.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #2 от grease monkey
grease monkey ответил в теме Nginx | php-fpm и joomla
И еще не могу установить phpmyadmin:
php71w-common conflicts with php-common-5.4.16-42.el7.x86_64

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад - 5 мес. 2 нед. назад #3 от Aleksej
Aleksej ответил в теме Nginx | php-fpm и joomla

grease monkey пишет: Получаю отлуп:
все облазил.... :woohoo:


Правильно получаешь, Joomla понимает php 7 только начиная с v.3.5 насколько помню, и не раньше.
Последнее редактирование: 5 мес. 2 нед. назад от Aleksej.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #4 от evgenij
evgenij ответил в теме Nginx | php-fpm и joomla

grease monkey пишет: И еще не могу установить phpmyadmin:

php71w-common conflicts with php-common-5.4.16-42.el7.x86_64


Снеси webtatic подключи remi repo и установи php оттуда. Тогда и phpmyadmin установится без проблем.

Дождались! Fedora 26.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #5 от grease monkey
grease monkey ответил в теме Nginx | php-fpm и joomla
evgenij, чуть бы поподробнее. Не специалист. :(

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #6 от evgenij
evgenij ответил в теме Nginx | php-fpm и joomla
RHEL version 7.2 or 7.3
sudo yum install wget
sudo wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
wget http://rpms.remirepo.net/enterprise/remi-release-7.rpm
rpm -Uvh remi-release-7.rpm epel-release-latest-7.noarch.rpm
yum install yum-utils
yum-config-manager --enable remi-php71
sudo yum install php71

Дождались! Fedora 26.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад - 5 мес. 2 нед. назад #7 от grease monkey
grease monkey ответил в теме Nginx | php-fpm и joomla

evgenij пишет: Тогда и phpmyadmin установится без проблем.



Установил phpmyadmin, при попытке входа получаю 403 ошибку,
Последнее редактирование: 5 мес. 2 нед. назад от p.rishard. Причина: Исправлен синтаксис bbcode

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #8 от serge
serge ответил в теме Nginx | php-fpm и joomla
Переместил сообщения, касающиеся php 7.1 from Remi's RPM repository, также установки phpMyAdmin - в новую ветку форума.

А я смогу! - А поглядим! - А я упрямый!

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад - 5 мес. 2 нед. назад #9 от evgenij
evgenij ответил в теме Nginx | php-fpm и joomla

grease monkey пишет: Установил phpmyadmin, при попытке входа получаю 403 ошибку,


Необходимо доустановить теперь ряд пакетов, они не вытаскиваются почему-то в зависимостях, когда устанавливаешь php из Remi's RPM repository. Вы ведь php 7.1 устанавливали? Стало быть вот так:

sudo yum install php71-php
sudo yum install php71-php-mbstring
sudo yum install php71-php-mysqlnd

Дождались! Fedora 26.
Последнее редактирование: 5 мес. 2 нед. назад от evgenij.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Больше
5 мес. 2 нед. назад #10 от Aleksej
Aleksej ответил в теме Nginx | php-fpm и joomla

evgenij пишет: Вы ведь php 7.1 устанавливали?

serge пишет: Переместил сообщения, касающиеся php 7.1 from Remi's RPM repository, также установки phpMyAdmin - в новую ветку форума.



Дался вам этот php 7.1.
Нафига козе баян, для Joomla или WordPress точно еще рановато.
7.0 пока еще самое то. И, кстати говоря, если ставить php 7.0 из webtatic, то и phpMyAdmin устанавливается без всяких фокусов.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.